import type { Dayjs as DayjsType } from 'dayjs';
import dayjs from 'dayjs';
import './bootstrap';
export { default as localizedFormat } from 'dayjs/plugin/localizedFormat';
export { default as isSameOrAfter } from 'dayjs/plugin/isSameOrAfter';
export { default as customParseFormat } from 'dayjs/plugin/customParseFormat';
export { default as isSameOrBefore } from 'dayjs/plugin/isSameOrBefore';
export { default as isBetween } from 'dayjs/plugin/isBetween';
export { default as utc } from 'dayjs/plugin/utc';
export declare const dateTime: typeof dayjs;
export declare type DateTime = DayjsType;
export { default as builder, Formatter } from './builder';
export { default as dateWithEndOfDay } from './date-with-end-of-day';
export { default as dateWithStartOfDay } from './date-with-start-of-day';
export { default as formatDate } from './format-date';
export { default as formatDateTime, FormatDateTimeOptions } from './format-datetime';
export { default as formatMonthShort } from './format-month-short';
export { getLocale, setLocale, SupportedLocale } from './i18n';
export { default as tryParse } from './try-parse';
